# Uses of Class
org.eclipse.birt.report.model.api.ErrorDetail

Packages that use ErrorDetail
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")

## Uses of ErrorDetail in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return types with arguments of type ErrorDetail
Modifier and Type
Method
Description
`static List<ErrorDetail>`
ErrorDetail.`convertExceptionList(List<? extends Exception> exceptionList)`
Converts the exception list to the error detail list.
`List<ErrorDetail>`
DesignFileException.`getErrorList()`
Returns the error list.
`static List<ErrorDetail>`
ErrorDetail.`getSemanticErrors(List<ErrorDetail> errors, String errorType)`
Returns a list containing the semantic errors with the given error type.
`List<ErrorDetail>`
DesignElementHandle.`paste(String propName, IDesignElement content)`
Pastes a report item to this property.
`List<ErrorDetail>`
DesignElementHandle.`paste(String propName, IDesignElement content, int newPos)`
Pastes a report item to the property.
`List<ErrorDetail>`
DesignElementHandle.`paste(String propName, DesignElementHandle content)`
Pastes a report item to this property.
`List<ErrorDetail>`
DesignElementHandle.`paste(String propName, DesignElementHandle content, int newPos)`
Pastes a report item to the slot.
`List<ErrorDetail>`
DesignElementHandle.`semanticCheck()`
Checks this element with semantic rules.
Method parameters in org.eclipse.birt.report.model.api with type arguments of type ErrorDetail
Modifier and Type
Method
Description
`static List<ErrorDetail>`
ErrorDetail.`getSemanticErrors(List<ErrorDetail> errors, String errorType)`
Returns a list containing the semantic errors with the given error type.